Subject: Re: [PATCH v9 6/6] iommu/dma: Make flush queue sizes and timeout driver configurable

From: Joerg Roedel <[email-masked]>
Date: Mon, 22 May 2023 18:10:01 +0200

On Mon, May 15, 2023 at 11:15:56AM +0200, Niklas Schnelle wrote:
> In the s390 IOMMU driver a large fixed queue size and timeout is then
> set together with single queue mode bringing its performance on s390
> paged memory guests on par with the previous s390 specific DMA API
> implementation.

Hmm, the right flush-queue size and timeout settings are more a function
of the endpoint device and device driver than of the iommu driver, no? I
think something like this could also help solving the recently reported
scalability problems in the fq-code, if done right.

Regards,

	Joerg